def moon(a: int, b: int) -> int:
    a = str(a)
    b = str(b)

    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    result = ''
    for an, bn in zip(a, b):
        result += max(an, bn)

    return int(result)


def lunar_multiplication(a: int, b: int) -> int:
    a = str(a)
    b = str(b)

    results = ['0'] * (len(a) + len(b) - 1)

    for i, an in enumerate(a):
        for j, bn in enumerate(b):
            pos = i + j
            curr = min(an, bn)
            results[pos] = max(results[pos], curr)

    return int(''.join(results))


def main():
    a = int(input())
    b = int(input())

    sums = moon(a, b)
    multiply = lunar_multiplication(a, b)


    print(sums, multiply)


if __name__ == "__main__":
    main()