from math import gcd


def tree(a, b):
    valu = gcd(a, b)
    a //= valu
    b //= valu

    left, left1 = 0, 1
    right, right1 = 1, 0
    path = "R"

    while True:
        met = left + right
        met1 = left1 + right1

        if met == a and met1 == b:
            break
        elif a * met1 < b * met:
            path += 'L'
            right, right1 = met, met1
        else:
            path += 'R'
            left, left1 = met, met1

    return path


a, b = map(int, input().split())

path = tree(a, b)
print(path)